Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 669640

Summary: anjuta F15 crash on start
Product: [Fedora] Fedora Reporter: Lukas Bezdicka <social>
Component: anjutaAssignee: Debarshi Ray <debarshir>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: debarshir, jhs, rpandit
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-01-14 04:21:42 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
anjuta bt none

Description Lukas Bezdicka 2011-01-14 04:04:26 EST
Description of problem:

libanjuta-symbol-db-ERROR **: Opening global project under /home/social/.cache/anjuta
aborting...

Program received signal SIGTRAP, Trace/breakpoint trap.
g_logv (log_domain=0x7fffe399d8c7 "libanjuta-symbol-db", log_level=<value optimized out>, format=0x7fffe399df28 "Opening global project under %s", args1=
    0x7fffffffd2f0) at gmessages.c:563
563		  g_private_set (g_log_depth, GUINT_TO_POINTER (depth));

Version-Release number of selected component (if applicable):

anjuta 2.31.90.0

How reproducible:

always

Steps to Reproduce:
1. start anjuta
Comment 1 Lukas Bezdicka 2011-01-14 04:05:32 EST
Created attachment 473482 [details]
anjuta bt
Comment 2 Johannes Schmid 2011-01-14 04:21:42 EST
Funny enough that the version in f14 is more current than the rawhide version, however I hope that will be updated soon. The bug has been fixed in the f14 mozilla package, no idea about rawhide.

*** This bug has been marked as a duplicate of bug 658471 ***
Comment 3 Rakesh Pandit 2011-01-14 06:01:00 EST
(In reply to comment #2)
> Funny enough that the version in f14 is more current than the rawhide version,
> however I hope that will be updated soon. The bug has been fixed in the f14
> mozilla package, no idea about rawhide.
> 
> *** This bug has been marked as a duplicate of bug 658471 ***

I will push the latest unstable release you made this week. I was waiting for few dependencies to get pushed. Now that they are I am stuck with few holidays in this part of country, which kept me away from bandwidth.

Dependencies are already in and New gnome updates have made it into rawhide. Will push before week ends.
Comment 4 Johannes Schmid 2011-01-14 07:03:56 EST
@Rakesh: You will need to backport a patch to make the glade plugin work in 2.91.5:

http://git.gnome.org/browse/anjuta/commit/?id=4469e1df0376c328167b738878be4e8664e171af

Thanks!
Comment 5 Rakesh Pandit 2011-01-15 05:42:10 EST
This and glade update has to wait of some time as rawhide recent gnome update and making gnome-shell is not usable for the moment and basic testing is not possible.

May be Monday morning I will fix it.